[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.PaintWindow

Calls the Paint method using the specified device context in the control Canvas.

## Declaration

Source position: forms.pp line 653

`protected procedure TCustomForm.PaintWindow(`
`dc: HDC`
`); override;`

## Arguments

`dc` |  | Device context (Handle) assigned to the Canvas for the form.

## Description

PaintWindow is an overridden method in TCustomForm. It re-implements the method from the ancestor class, and does not call the inherited method.

PaintWindow assigns the device context in dc to the Canvas handle. The Paint method is called to signal the OnPaint event handler (when assigned). If a design surface is active for the form instance, its PaintGrid method is called. The Canvas handle is reset to 0 prior to exiting from the method.

## See also

TCustomControl.PaintWindow |  | The Paint handler plug-in, intercepting paint requests.